
#include "mgl.h"

mglFont *font;

void mglpsInit (void)
{
	mglBegin ();

	mglSetupView (0, 500, 500, 0);

  font = mglLoadFont ("./data/fonts/default.txt", "./data/fonts/default.tga");

  mglResetTimer ();

  mglEnd ();
}

void mglpsInfo (int method)
{
  char* name;
  char name2 [99];

  mglBegin ();

  mglTimerCall ();

  mglSetTextureZoom (0.8);

  mglSetTextureColors (mglWhite);

  mglAlphaOff ();
  mglInterpolationOff ();

  name = mpsGetMethodName (method);
  sprintf (name2, "Point size: %1.1f\nMethod: %s", mpsPointSize, name);

  mglPuts (font, name2, 5, 5);

  mglShowFPS (font, 500, 0);

  mglEnd ();
}
